Package org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning

# Class OQLPartitionScanner

java.lang.Object
org.eclipse.jface.text.rules.RuleBasedScanner
org.eclipse.jface.text.rules.BufferedRuleBasedScanner
org.eclipse.jface.text.rules.RuleBasedPartitionScanner
org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning.OQLPartitionScanner

All Implemented Interfaces:
  `ICharacterScanner`, `IPartitionTokenScanner`, `ITokenScanner`

public class OQLPartitionScanner extends RuleBasedPartitionScanner
Defines rules for identifying partitions in an OQL queries. Defined partitions are: SELECT, FROM, WHERE, UNION clauses.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMMENT_CLAUSE`
`static final String`
`FROM_CLAUSE`
`static final String`
`SELECT_CLAUSE`
`static final String`
`UNION_CLAUSE`
`static final String`
`WHERE_CLAUSE`

### Fields inherited from interface org.eclipse.jface.text.rules.ICharacterScanner

`EOF`

## Constructor Summary

Constructors
Constructor
Description
`OQLPartitionScanner()`
Defines the rules for splitting query into.

## Method Summary

### Methods inherited from class org.eclipse.jface.text.rules.RuleBasedPartitionScanner

`nextToken, setPartialRange, setPredicateRules, setRange, setRules`

### Methods inherited from class org.eclipse.jface.text.rules.BufferedRuleBasedScanner

`read, unread`

### Methods inherited from class org.eclipse.jface.text.rules.RuleBasedScanner

`getColumn, getLegalLineDelimiters, getTokenLength, getTokenOffset, setDefaultReturnToken`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.text.rules.ITokenScanner

`getTokenLength, getTokenOffset`

## Field Details

### SELECT_CLAUSE

public static final String SELECT_CLAUSE

See Also:
  - Constant Field Values

### FROM_CLAUSE

public static final String FROM_CLAUSE

See Also:
  - Constant Field Values

### WHERE_CLAUSE

public static final String WHERE_CLAUSE

See Also:
  - Constant Field Values

### UNION_CLAUSE

public static final String UNION_CLAUSE

See Also:
  - Constant Field Values

### COMMENT_CLAUSE

public static final String COMMENT_CLAUSE

See Also:
  - Constant Field Values

## Constructor Details

### OQLPartitionScanner

public OQLPartitionScanner()
Defines the rules for splitting query into. Each rule starts with one of the reserved word and terminates with any of the others (due to nested queries). EOF is a valid terminator for the partition